Bug 51303 - [MAINTAINER UPDATE] games/gtetrinet to 0.7.1
Summary: [MAINTAINER UPDATE] games/gtetrinet to 0.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-23 08:10 UTC by Miguel Mendez
Modified: 2003-04-23 22:00 UTC (History)
0 users

See Also:


Attachments
gtetrinet.diff (1.24 KB, patch)
2003-04-23 08:10 UTC, Miguel Mendez
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miguel Mendez 2003-04-23 08:10:15 UTC
April 14, 2003
We have released GTetrinet 0.7.1, a maintenance release for 0.7.0. 
The biggest thing is the new configuration option to disable the channel
list feature, which should help people having problems on servers with 
a non-supported /list format. Support for the Java Tetrinet server and 
TetriDome has been added too, as well as other minor bugfixes. 
Thanks to the GNOME translators, there are new or updated translations, 
too. Have fun!
Comment 1 Adam Weinberger freebsd_committer 2003-04-23 08:55:53 UTC
>> (04.23.2003 @ 0003 PST): Miguel Mendez said, in 2.8K: <<
>  PORTNAME=	gtetrinet
> -PORTVERSION=	0.7.0
> +PORTVERSION=	0.7.1
>> end of "ports/51303: [MAINTAINER UPDATE] games/gtetrinet to 0.7.1" from Miguel Mendez <<

Miguel -

When I do PREFIX=/tmp/tgt make package, I get the following during the
install:

Failed to access configuration source(s): Failed:
Could not make directory `/tmp/tgt/etc/gconf/gconf.xml.defaults': No such file or directory

Then, during package build:
reating gzip'd tar ball in '/usr/ports/packages/All/gtetrinet-0.7.1.tgz'
tar: etc/gconf/gconf.xml.defaults/apps/gtetrinet/%gconf.xml: Cannot stat: No such file or directory
tar: etc/gconf/gconf.xml.defaults/apps/gtetrinet/keys/%gconf.xml: Cannot stat: No such file or directory
tar: etc/gconf/gconf.xml.defaults/apps/gtetrinet/player/%gconf.xml: Cannot stat: No such file or directory
tar: etc/gconf/gconf.xml.defaults/apps/gtetrinet/sound/%gconf.xml: Cannot stat: No such file or directory
tar: etc/gconf/gconf.xml.defaults/apps/gtetrinet/themes/%gconf.xml: Cannot stat: No such file or directory
tar: etc/gconf/gconf.xml.defaults/apps/gtetrinet/partyline/%gconf.xml: Cannot stat: No such file or directory
tar: etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/%gconf.xml: Cannot stat: No such file or directory
tar: etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/keys/%gconf.xml: Cannot stat: No such file or directory
tar: etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/player/%gconf.xml: Cannot stat: No such file or directory
tar: etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/sound/%gconf.xml: Cannot stat: No such file or directory
tar: etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/themes/%gconf.xml: Cannot stat: No such file or directory
tar: etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/partyline/%gconf.xml: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors
pkg_create: make_dist: tar command failed with code 512
*** Error code 1

Stop in /tmp/gtetrinet.
zsh: 222 exit 1     PREFIX=/tmp/tgt make package



--
Adam Weinberger
vectors.cx	>>	adam@vectors.cx
FreeBSD.org	<<	adamw@FreeBSD.ORG
#vim:set ts=8: 8-char tabs prevent tooth decay.
Comment 2 Joe Marcus Clarke freebsd_committer 2003-04-23 18:24:59 UTC
On Wed, 2003-04-23 at 04:11, Miguel Mendez wrote:
> On Wed, 23 Apr 2003 00:55:53 -0700
> Adam Weinberger <adamw@freebsd.org> wrote:
> 
> [CCing Joe Marcus as well]
> 
> Hi,
>  
> > When I do PREFIX=/tmp/tgt make package, I get the following during the
> > install:
> > 
> > Failed to access configuration source(s): Failed:
> > Could not make directory `/tmp/tgt/etc/gconf/gconf.xml.defaults': No
> > such file or directory
> > 
> > Then, during package build:
> > reating gzip'd tar ball in
> > '/usr/ports/packages/All/gtetrinet-0.7.1.tgz' tar:
> > etc/gconf/gconf.xml.defaults/apps/gtetrinet/%gconf.xml: Cannot stat:
> > No such file or directory tar:
> > etc/gconf/gconf.xml.defaults/apps/gtetrinet/keys/%gconf.xml: Cannot
> > stat: No such file or directory tar:
> > [....]
> > Cannot stat: No such file or directory tar:
> > etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/partyline/%gconf.
> > xml: Cannot stat: No such file or directory tar: Error exit delayed
> > from previous errors pkg_create: make_dist: tar command failed with
> > code 512*** Error code 1
> > 
> > Stop in /tmp/gtetrinet.
> > zsh: 222 exit 1     PREFIX=/tmp/tgt make package
> 
> I've noticed the diff wasn't correct, I missed some files in the plist.
> About the gconf schemas thing, Joe, since you're the local gnome guru,
> is it possible and/or supported to have them in arbitrary places? The
> install seems to be failing because it's assuming the basic gconf
> directory structure is already there, which it's not the case if you
> change PREFIX.


You need to depend on gnomeprefix (or gnomehier) to get the necessary
directories for gconf.  If you want to install into an alternate prefix,
you need to have misc/gnomehier installed in that prefix first.

You could do this for testing purposes:

cd /usr/ports/misc/gnomehier
make -DNO_PKG_REGISTER PREFIX=/my/prefix install clean

cd /usr/ports/games/gtetrinet
make PREFIX=/my/prefix install

And you'll be set.  gnomhier is like a pseudo-mtree.

Joe

> 
> Cheers,

-- 
Joe Marcus Clarke
FreeBSD GNOME Team	::	marcus@FreeBSD.org
http://www.FreeBSD.org/gnome

Comment 3 Miguel Mendez 2003-04-23 19:08:17 UTC
On 23 Apr 2003 13:24:59 -0400
Joe Marcus Clarke <marcus@FreeBSD.org> wrote:

Hi again,
 
> You could do this for testing purposes:
> 
> cd /usr/ports/misc/gnomehier
> make -DNO_PKG_REGISTER PREFIX=/my/prefix install clean
> 
> cd /usr/ports/games/gtetrinet
> make PREFIX=/my/prefix install
> 
> And you'll be set.  gnomhier is like a pseudo-mtree.

Excellent, thanks a lot Joe. Adam, I've tried this suggested method and
it seems to work. The attached diff is now kosher (missed again a file
that changed place), could you review this one and commit? 

Thanks to both.

diff -ruN gtetrinet.old/Makefile gtetrinet/Makefile
--- gtetrinet.old/Makefile	Mon Apr 21 06:36:32 2003
+++ gtetrinet/Makefile	Wed Apr 23 09:59:59 2003
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/games/gtetrinet/Makefile,v 1.17 2003/04/21 04:36:32 adamw Exp $
 
 PORTNAME=	gtetrinet
-PORTVERSION=	0.7.0
+PORTVERSION=	0.7.1
 CATEGORIES=	games gnome
 MASTER_SITES=	${MASTER_SITE_GNOME}
 MASTER_SITE_SUBDIR=	sources/${PORTNAME}/0.7
diff -ruN gtetrinet.old/distinfo gtetrinet/distinfo
--- gtetrinet.old/distinfo	Sat Apr 12 21:46:24 2003
+++ gtetrinet/distinfo	Wed Apr 23 09:59:59 2003
@@ -1 +1 @@
-MD5 (gnome2/gtetrinet-0.7.0.tar.bz2) = 093e3edec5250e0c8a7935498b76b9d1
+MD5 (gnome2/gtetrinet-0.7.1.tar.bz2) = 1ea17f6a8f1996041ee550079f10960c
diff -ruN gtetrinet.old/gtetrinet/Makefile gtetrinet/gtetrinet/Makefile
--- gtetrinet.old/gtetrinet/Makefile	Mon Apr 21 06:36:32 2003
+++ gtetrinet/gtetrinet/Makefile	Thu Jan  1 01:00:00 1970
@@ -1,35 +0,0 @@
-# New ports collection makefile for:	gtetrinet
-# Date created:				27 Feb 2000
-# Whom:					Dan Papasian <bugg@bugg.strangled.net>
-#
-# $FreeBSD: ports/games/gtetrinet/Makefile,v 1.17 2003/04/21 04:36:32 adamw Exp $
-
-PORTNAME=	gtetrinet
-PORTVERSION=	0.7.0
-CATEGORIES=	games gnome
-MASTER_SITES=	${MASTER_SITE_GNOME}
-MASTER_SITE_SUBDIR=	sources/${PORTNAME}/0.7
-DIST_SUBDIR=	gnome2
-
-MAINTAINER=	flynn@energyhq.homeip.net
-COMMENT=	A version of the popular TetriNET multiplayer tetris clone
-
-USE_BZIP2=	yes
-USE_X_PREFIX=	yes
-USE_GNOME=	gnomehack gnomeprefix esound libgnomeui
-USE_REINPLACE=	yes
-USE_GMAKE=	yes
-GNU_CONFIGURE=	yes
-CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
-CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
-		LDFLAGS="-L${LOCALBASE}/lib"
-CONFIGURE_ARGS=	--bindir=${PREFIX}/bin
-
-MAN6=		gtetrinet.6
-
-post-patch:
-	@${FIND} ${WRKSRC} -name "Makefile.in*" | ${XARGS} ${REINPLACE_CMD} \
-		's|[(]prefix[)]/games|{bindir}|g ; \
-		 s|[(]libdir[)]/locale|(prefix)/share/locale|g'
-
-.include <bsd.port.mk>
diff -ruN gtetrinet.old/gtetrinet/distinfo gtetrinet/gtetrinet/distinfo
--- gtetrinet.old/gtetrinet/distinfo	Sat Apr 12 21:46:24 2003
+++ gtetrinet/gtetrinet/distinfo	Thu Jan  1 01:00:00 1970
@@ -1 +0,0 @@
-MD5 (gnome2/gtetrinet-0.7.0.tar.bz2) = 093e3edec5250e0c8a7935498b76b9d1
diff -ruN gtetrinet.old/gtetrinet/pkg-descr gtetrinet/gtetrinet/pkg-descr
--- gtetrinet.old/gtetrinet/pkg-descr	Fri Jul  7 20:26:53 2000
+++ gtetrinet/gtetrinet/pkg-descr	Thu Jan  1 01:00:00 1970
@@ -1,11 +0,0 @@
-GTetrinet is a client program for the popular Tetrinet game, a multiplayer
-game that is played over the internet.
-(If you don't know what Tetrinet is, check out http://tetrinet.org)
-
-Features:
-
--Fully network compatible with Tetrinet v1.13 for Win95/98/NT 
--Theme support with sound 
--Spectator support on Tetrinet-X servers with the qirc patch by Drslum.
-
-WWW: http://gtetrinet.sourceforge.net/
diff -ruN gtetrinet.old/gtetrinet/pkg-plist gtetrinet/gtetrinet/pkg-plist
--- gtetrinet.old/gtetrinet/pkg-plist	Sat Apr 12 21:46:24 2003
+++ gtetrinet/gtetrinet/pkg-plist	Thu Jan  1 01:00:00 1970
@@ -1,43 +0,0 @@
-bin/gtetrinet
-etc/gconf/gconf.xml.defaults/apps/gtetrinet/%gconf.xml
-etc/gconf/gconf.xml.defaults/apps/gtetrinet/keys/%gconf.xml
-etc/gconf/gconf.xml.defaults/apps/gtetrinet/player/%gconf.xml
-etc/gconf/gconf.xml.defaults/apps/gtetrinet/sound/%gconf.xml
-etc/gconf/gconf.xml.defaults/apps/gtetrinet/themes/%gconf.xml
-etc/gconf/gconf.xml.defaults/apps/gtetrinet/partyline/%gconf.xml
-etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/%gconf.xml
-etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/keys/%gconf.xml
-etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/player/%gconf.xml
-etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/sound/%gconf.xml
-etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/themes/%gconf.xml
-etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/partyline/%gconf.xml
-etc/gconf/schemas/gtetrinet.schemas
-share/gnome/apps/Games/gtetrinet.desktop
-share/gnome/gtetrinet/themes/default/blocks.png
-share/gnome/gtetrinet/themes/default/theme.cfg
-share/gnome/gtetrinet/themes/small/blocks.png
-share/gnome/gtetrinet/themes/small/theme.cfg
-share/gnome/pixmaps/gtetrinet.png
-share/locale/am/LC_MESSAGES/gtetrinet.mo
-share/locale/ca/LC_MESSAGES/gtetrinet.mo
-share/locale/de/LC_MESSAGES/gtetrinet.mo
-share/locale/es/LC_MESSAGES/gtetrinet.mo
-share/locale/nl/LC_MESSAGES/gtetrinet.mo
-share/locale/no/LC_MESSAGES/gtetrinet.mo
-share/locale/sv/LC_MESSAGES/gtetrinet.mo
-@dirrm share/gnome/gtetrinet/themes/small
-@dirrm share/gnome/gtetrinet/themes/default
-@dirrm share/gnome/gtetrinet/themes
-@dirrm share/gnome/gtetrinet
-@dirrm etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/themes
-@dirrm etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/sound
-@dirrm etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/partyline
-@dirrm etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/player
-@dirrm etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/keys
-@dirrm etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet
-@dirrm etc/gconf/gconf.xml.defaults/apps/gtetrinet/themes
-@dirrm etc/gconf/gconf.xml.defaults/apps/gtetrinet/sound
-@dirrm etc/gconf/gconf.xml.defaults/apps/gtetrinet/partyline
-@dirrm etc/gconf/gconf.xml.defaults/apps/gtetrinet/player
-@dirrm etc/gconf/gconf.xml.defaults/apps/gtetrinet/keys
-@dirrm etc/gconf/gconf.xml.defaults/apps/gtetrinet
diff -ruN gtetrinet.old/pkg-plist gtetrinet/pkg-plist
--- gtetrinet.old/pkg-plist	Sat Apr 12 21:46:24 2003
+++ gtetrinet/pkg-plist	Wed Apr 23 20:00:45 2003
@@ -12,7 +12,7 @@
 etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/themes/%gconf.xml
 etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/partyline/%gconf.xml
 etc/gconf/schemas/gtetrinet.schemas
-share/gnome/apps/Games/gtetrinet.desktop
+share/gnome/applications/gtetrinet.desktop
 share/gnome/gtetrinet/themes/default/blocks.png
 share/gnome/gtetrinet/themes/default/theme.cfg
 share/gnome/gtetrinet/themes/small/blocks.png
@@ -25,6 +25,13 @@
 share/locale/nl/LC_MESSAGES/gtetrinet.mo
 share/locale/no/LC_MESSAGES/gtetrinet.mo
 share/locale/sv/LC_MESSAGES/gtetrinet.mo
+share/locale/cs/LC_MESSAGES/gtetrinet.mo
+share/locale/fr/LC_MESSAGES/gtetrinet.mo
+share/locale/ja/LC_MESSAGES/gtetrinet.mo
+share/locale/pt/LC_MESSAGES/gtetrinet.mo
+share/locale/pt_BR/LC_MESSAGES/gtetrinet.mo
+share/locale/ru/LC_MESSAGES/gtetrinet.mo
+share/locale/uk/LC_MESSAGES/gtetrinet.mo
 @dirrm share/gnome/gtetrinet/themes/small
 @dirrm share/gnome/gtetrinet/themes/default
 @dirrm share/gnome/gtetrinet/themes
Comment 4 Miguel Mendez 2003-04-23 19:45:06 UTC
On Wed, 23 Apr 2003 11:10:16 -0700 (PDT)
Miguel Mendez <flynn@energyhq.homeip.net> wrote:

Holy batmobile, how did that file end up in the diff?

*sigh* here it goes...


diff -ruN gtetrinet.old/Makefile gtetrinet/Makefile
--- gtetrinet.old/Makefile	Mon Apr 21 06:36:32 2003
+++ gtetrinet/Makefile	Wed Apr 23 09:59:59 2003
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/games/gtetrinet/Makefile,v 1.17 2003/04/21 04:36:32 adamw Exp $
 
 PORTNAME=	gtetrinet
-PORTVERSION=	0.7.0
+PORTVERSION=	0.7.1
 CATEGORIES=	games gnome
 MASTER_SITES=	${MASTER_SITE_GNOME}
 MASTER_SITE_SUBDIR=	sources/${PORTNAME}/0.7
diff -ruN gtetrinet.old/distinfo gtetrinet/distinfo
--- gtetrinet.old/distinfo	Sat Apr 12 21:46:24 2003
+++ gtetrinet/distinfo	Wed Apr 23 09:59:59 2003
@@ -1 +1 @@
-MD5 (gnome2/gtetrinet-0.7.0.tar.bz2) = 093e3edec5250e0c8a7935498b76b9d1
+MD5 (gnome2/gtetrinet-0.7.1.tar.bz2) = 1ea17f6a8f1996041ee550079f10960c
diff -ruN gtetrinet.old/pkg-plist gtetrinet/pkg-plist
--- gtetrinet.old/pkg-plist	Sat Apr 12 21:46:24 2003
+++ gtetrinet/pkg-plist	Wed Apr 23 20:00:45 2003
@@ -12,7 +12,7 @@
 etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/themes/%gconf.xml
 etc/gconf/gconf.xml.defaults/schemas/apps/gtetrinet/partyline/%gconf.xml
 etc/gconf/schemas/gtetrinet.schemas
-share/gnome/apps/Games/gtetrinet.desktop
+share/gnome/applications/gtetrinet.desktop
 share/gnome/gtetrinet/themes/default/blocks.png
 share/gnome/gtetrinet/themes/default/theme.cfg
 share/gnome/gtetrinet/themes/small/blocks.png
@@ -25,6 +25,13 @@
 share/locale/nl/LC_MESSAGES/gtetrinet.mo
 share/locale/no/LC_MESSAGES/gtetrinet.mo
 share/locale/sv/LC_MESSAGES/gtetrinet.mo
+share/locale/cs/LC_MESSAGES/gtetrinet.mo
+share/locale/fr/LC_MESSAGES/gtetrinet.mo
+share/locale/ja/LC_MESSAGES/gtetrinet.mo
+share/locale/pt/LC_MESSAGES/gtetrinet.mo
+share/locale/pt_BR/LC_MESSAGES/gtetrinet.mo
+share/locale/ru/LC_MESSAGES/gtetrinet.mo
+share/locale/uk/LC_MESSAGES/gtetrinet.mo
 @dirrm share/gnome/gtetrinet/themes/small
 @dirrm share/gnome/gtetrinet/themes/default
 @dirrm share/gnome/gtetrinet/themes


-- 
        Miguel Mendez - flynn@energyhq.homeip.net
        GPG Public Key :: http://energyhq.homeip.net/files/pubkey.txt
        EnergyHQ :: http://www.energyhq.tk
	Tired of Spam? -> http://www.trustic.com
Comment 5 Adam Weinberger freebsd_committer 2003-04-23 20:38:16 UTC
>> (04.23.2003 @ 1108 PST): Miguel Mendez said, in 7.3K: <<
> Excellent, thanks a lot Joe. Adam, I've tried this suggested method and
> it seems to work. The attached diff is now kosher (missed again a file
> that changed place), could you review this one and commit? 
> 

the diff get's a little weird here ;;)

> --- gtetrinet.old/gtetrinet/Makefile	Mon Apr 21 06:36:32 2003
> +++ gtetrinet/gtetrinet/Makefile	Thu Jan  1 01:00:00 1970
> @@ -1,35 +0,0 @@
>
> --- gtetrinet.old/gtetrinet/distinfo	Sat Apr 12 21:46:24 2003
> +++ gtetrinet/gtetrinet/distinfo	Thu Jan  1 01:00:00 1970
> @@ -1 +0,0 @@
>
> --- gtetrinet.old/gtetrinet/pkg-descr	Fri Jul  7 20:26:53 2000
> +++ gtetrinet/gtetrinet/pkg-descr	Thu Jan  1 01:00:00 1970
> @@ -1,11 +0,0 @@
>
> --- gtetrinet.old/gtetrinet/pkg-plist	Sat Apr 12 21:46:24 2003
> +++ gtetrinet/gtetrinet/pkg-plist	Thu Jan  1 01:00:00 1970
> @@ -1,43 +0,0 @@
>> end of "Re: ports/51303: [MAINTAINER UPDATE] games/gtetrinet to 0.7.1" from Miguel Mendez <<

Well, you picked up all the other plist pieces, so that's set. The
problem is that the gconf.xml.defaults problem still exists. Joe, if
you're OK with that, I'm happy to commit this, but this will make bento
unhappy, as well as possibly causing package-building problems.

# Adam


--
Adam Weinberger
vectors.cx	>>	adam@vectors.cx
FreeBSD.org	<<	adamw@FreeBSD.ORG
#vim:set ts=8: 8-char tabs prevent tooth decay.
Comment 6 Joe Marcus Clarke freebsd_committer 2003-04-23 20:43:22 UTC
On Wed, 2003-04-23 at 15:38, Adam Weinberger wrote:
> >> (04.23.2003 @ 1108 PST): Miguel Mendez said, in 7.3K: <<
> > Excellent, thanks a lot Joe. Adam, I've tried this suggested method and
> > it seems to work. The attached diff is now kosher (missed again a file
> > that changed place), could you review this one and commit? 
> > 
> 
> the diff get's a little weird here ;;)
> 
> > --- gtetrinet.old/gtetrinet/Makefile	Mon Apr 21 06:36:32 2003
> > +++ gtetrinet/gtetrinet/Makefile	Thu Jan  1 01:00:00 1970
> > @@ -1,35 +0,0 @@
> >
> > --- gtetrinet.old/gtetrinet/distinfo	Sat Apr 12 21:46:24 2003
> > +++ gtetrinet/gtetrinet/distinfo	Thu Jan  1 01:00:00 1970
> > @@ -1 +0,0 @@
> >
> > --- gtetrinet.old/gtetrinet/pkg-descr	Fri Jul  7 20:26:53 2000
> > +++ gtetrinet/gtetrinet/pkg-descr	Thu Jan  1 01:00:00 1970
> > @@ -1,11 +0,0 @@
> >
> > --- gtetrinet.old/gtetrinet/pkg-plist	Sat Apr 12 21:46:24 2003
> > +++ gtetrinet/gtetrinet/pkg-plist	Thu Jan  1 01:00:00 1970
> > @@ -1,43 +0,0 @@
> >> end of "Re: ports/51303: [MAINTAINER UPDATE] games/gtetrinet to 0.7.1" from Miguel Mendez <<
> 
> Well, you picked up all the other plist pieces, so that's set. The
> problem is that the gconf.xml.defaults problem still exists. Joe, if
> you're OK with that, I'm happy to commit this, but this will make bento
> unhappy, as well as possibly causing package-building problems.


The problems should exist if gnomehier is installed in the install
PREFIX.  This should happen on bento since gtetrinet makes use of
gnomeprefix.  Have you tried doing a make package in the default PREFIX?

Joe

> 
> # Adam
> 
> 
> --
> Adam Weinberger
> vectors.cx	>>	adam@vectors.cx
> FreeBSD.org	<<	adamw@FreeBSD.ORG
> #vim:set ts=8: 8-char tabs prevent tooth decay.

-- 
Joe Marcus Clarke
FreeBSD GNOME Team	::	marcus@FreeBSD.org
http://www.FreeBSD.org/gnome

Comment 7 Adam Weinberger freebsd_committer 2003-04-23 20:53:20 UTC
>> (04.23.2003 @ 1243 PST): Joe Marcus Clarke said, in 2.3K: <<
> On Wed, 2003-04-23 at 15:38, Adam Weinberger wrote:
> > >> (04.23.2003 @ 1108 PST): Miguel Mendez said, in 7.3K: <<
> > Well, you picked up all the other plist pieces, so that's set. The
> > problem is that the gconf.xml.defaults problem still exists. Joe, if
> > you're OK with that, I'm happy to commit this, but this will make bento
> > unhappy, as well as possibly causing package-building problems.
> 
> The problems should exist if gnomehier is installed in the install
> PREFIX.  This should happen on bento since gtetrinet makes use of
> gnomeprefix.  Have you tried doing a make package in the default PREFIX?
>> end of "Re: ports/51303: [MAINTAINER UPDATE] games/gtetrinet to 0.7.1" from Joe Marcus Clarke <<

Yeah, but even with USE_GNOME=gnomehier gnomeprefix it still is
installing into directories that don't necessarily exist. I mean, they
really SHOULD because libgnome is a prereq, but still... Works fine
within the normal PREFIX, however.

I guess the issue is more that the existence of gnomehier doesn't
necessarily mean that the gnomehier structure is installed in the
${PREFIX} you're installing into. Which certainly has nothing to do with
gtetrinet, so I'm just going to commit this.

# Adam


--
Adam Weinberger
vectors.cx	>>	adam@vectors.cx
FreeBSD.org	<<	adamw@FreeBSD.ORG
#vim:set ts=8: 8-char tabs prevent tooth decay.
Comment 8 Adam Weinberger freebsd_committer 2003-04-23 20:57:59 UTC
State Changed
From-To: open->closed

Committed. Thanks, Miguel!
Comment 9 Joe Marcus Clarke freebsd_committer 2003-04-23 21:54:45 UTC
On Wed, 2003-04-23 at 15:53, Adam Weinberger wrote:
> >> (04.23.2003 @ 1243 PST): Joe Marcus Clarke said, in 2.3K: <<
> > On Wed, 2003-04-23 at 15:38, Adam Weinberger wrote:
> > > >> (04.23.2003 @ 1108 PST): Miguel Mendez said, in 7.3K: <<
> > > Well, you picked up all the other plist pieces, so that's set. The
> > > problem is that the gconf.xml.defaults problem still exists. Joe, if
> > > you're OK with that, I'm happy to commit this, but this will make bento
> > > unhappy, as well as possibly causing package-building problems.
> > 
> > The problems should exist if gnomehier is installed in the install
> > PREFIX.  This should happen on bento since gtetrinet makes use of
> > gnomeprefix.  Have you tried doing a make package in the default PREFIX?
> >> end of "Re: ports/51303: [MAINTAINER UPDATE] games/gtetrinet to 0.7.1" from Joe Marcus Clarke <<
> 
> Yeah, but even with USE_GNOME=gnomehier gnomeprefix it still is
> installing into directories that don't necessarily exist. I mean, they
> really SHOULD because libgnome is a prereq, but still... Works fine
> within the normal PREFIX, however.
> 
> I guess the issue is more that the existence of gnomehier doesn't
> necessarily mean that the gnomehier structure is installed in the
> ${PREFIX} you're installing into. Which certainly has nothing to do with
> gtetrinet, so I'm just going to commit this.


Adam, you have to install the dependencies _in the specific PREFIX_.  In
order to do this with gnomehier already installed on the system, do the
trick of setting NO_PKG_REGISTER per my previous email.  This should
work.

Joe

> 
> # Adam
> 
> 
> --
> Adam Weinberger
> vectors.cx	>>	adam@vectors.cx
> FreeBSD.org	<<	adamw@FreeBSD.ORG
> #vim:set ts=8: 8-char tabs prevent tooth decay.

-- 
Joe Marcus Clarke
FreeBSD GNOME Team	::	marcus@FreeBSD.org
http://www.FreeBSD.org/gnome